local ObjectSet = {
    MT_RING_BOX,
    MT_MINUS,
    MT_RING,
	MT_BLUESPRING,
	MT_CRAWLACOMMANDER,
	MT_DETON,
	MT_MYSTERY_BOX,
}

addHook("ThinkFrame", do
	for player in players.iterate
		if player.mo and player.mo.skin == "unknown"
			if ((player.cmd.buttons & BT_CUSTOM1) and not (player.weapondelay))
				P_SpawnMobj(player.mo.x, player.mo.y, player.mo.z + 100*FRACUNIT, ObjectSet[P_RandomRange(1, #ObjectSet)])
				P_InstaThrust(player.mo, player.mo.angle, -(20*FRACUNIT))
				S_StartSound(player.mo, sfx_adderr)
				player.weapondelay = TICRATE*4
			end
		end
	end
end)